- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Gets the most recent health check results for each IP for the instance that is referenced by the given target pool.
HTTP request
POST https://compute.s3nsapis.fr/compute/v1/projects/{project}/regions/{region}/targetPools/{targetPool}/getHealth The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region scoping this request. |
targetPool |
Name of the TargetPool resource to which the queried instance belongs. |
Request body
The request body contains an instance of InstanceReference.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"kind": string,
"healthStatus": [
{
object ( |
| Fields | |
|---|---|
kind |
Output only. Type of resource. Always
when checking the health of an instance. |
healthStatus[] |
|
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.targetPools.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.